<div class="inner-form">
  <div class="grid-x">
    <div class="cell">
      <p class="small-title">Crea nuova sessione</p>
    </div>
    <div class="cell">
      <p class="bold">{{selectedCompany?.name}}</p>
      <p class="bold">{{activeCourse.getValue()?.title}}</p>
      <form [formGroup]="sessionForm" (submit)="createSessionHandler(sessionForm.value)">
        <div
          class="form-element"
          *ngIf="
            sessionForm.value.course &&
            avaiablesApps &&
            avaiablesApps.length
          "
        >
          <p class="text-uppercase bold">App</p>
          <app-pro-select
            [(model)]="sessionForm.value.appId"
            [modelParser]="selectAppParser"
            placeholder=""
            [search]="false"
            [options]="avaiablesApps"
            (modelChange)="setActiveApp(sessionForm.value.appId)"
            
          >
            <ng-template dbeProSelectActive let-app>
							<p class="medium-bold">
								{{ app.title }}
							</p>
            </ng-template>
            <ng-template dbeProSelectOption let-app>
              <p class="medium-bold" style="margin-bottom: 0">
                {{ app.title }}
              </p>
            </ng-template>
          </app-pro-select>
        </div>

        <div
          class="wrapper-choose-chapter"
          *ngIf="
            selectedApp && selectedApp.chapters && selectedApp.chapters.length
          "
        >
          <p class="bold">Scegli capitolo dell'app {{selectedApp.title}}</p>
          <ng-container *ngFor="let chap of selectedApp.chapters">
            <div>
              <label class="container checkbox-chapter">
                <input
                  type="checkbox"
                  [checked]="chap.active"
                  (click)="setChapterValue(chap)"
                />
                <span class="checkmark"></span>
              </label>
              <p class="chapter-text" (click)="setChapterValue(chap)">{{ chap.title }}</p>
            </div>
          </ng-container>
        </div>

        <div class="form-element" *ngIf="sessionForm.value.course">
          <p class="text-uppercase bold">Utenti</p>
          <app-group-select
            [model]="sessionForm.value.users"
            [childrenParser]="childrenParser"
            [searchParser]="selectSearchParser"
            placeholder=""
            [search]="false"
            [options]="availableUsers"
          >
            <ng-template dbeGroupSelectActive let-items>
              <p class="selected-users medium-bold">{{ activeOptions }}</p>
            </ng-template>
            <ng-template dbeGroupSelectParent let-item>
              <p class="medium-bold" style="margin-bottom: 0">
                {{ item.name }}
                <br />
                <span style="font-size: 12px">Utente</span>
              </p>
            </ng-template>
            <ng-template dbeGroupSelectChild let-item>
              <p class="medium-bold" style="margin-bottom: 0">
                {{ item.name }}
                <br />
                <span style="font-size: 12px">Azienda</span>
              </p>
            </ng-template>
          </app-group-select>
        </div>
      </form>
    </div>
    <div class="cell actions-cell">
      <!-- <p
        class="link-button stop-session"
        (click)="createSessionHandler(sessionForm.value)"
      >
        Annulla
      </p> -->
      <p
        appFeedback
        [confirmTitle]="'Crea sessione'"
        [confirmBody]="'Clicca continua per creare e avviare la sessione'"
        class="link-button start-session"
        [class.disabled]="disableButton"
        (onClicked)="createSessionHandler(sessionForm.value)"
      >
        Avvia
      </p>
    </div>
  </div>
</div>
